# tableau-web-connector-node

This is an example of how to create a WDC that uses OAuth 2.0 for authentication.  

## Step 1 — Clone 

Clone the repository in some local folder.


### Step 2 — Install npm

Install npm by executing below command in the cloned folder.

```
npm install
```

## Step 3 — Register your application

If you have not already done so, [create an application](https://developers.hp.com/user/me/my-apps).  
Detailed documentation available at **https://developers.hp.com/hp-daas-proactive-management/authenticating-oauth-20**


## Step 4 — Configuring your application

* Replace CLIENT_ID and CLIENT_SECRET values in config.js.  
* Replace clientId value in base.js.    

CLIENT_ID / clientId  = <The "API Key" value generated when you registered your application.>  
CLIENT_SECRET = <The "Secret Key" value generated when you registered your application.>


## Step 5 — Run project 

Run npm by executing below command in the cloned folder.

```
npm start
```

## Step 6 — Using Tableau Desktop

* Open the Tableau Desktop app.
* Click on 'Web Data Connector'.
* Enter the connector URL as **http://localhost:8087/index.html**
* First login to HP DaaS by clicking 'Login with HP DaaS' link.
* Once logged in, click 'Get Data' to access the HP TechPulse Analytics API.
